enchant();	// ライブラリの初期化
window.onload = function(){
	// 240×320ピクセルサイズの画面(Canvas)を作成
	var game = new Game(240, 320);
	// フレームレートの設定。15fpsに設定
	game.fps = 30;
	// 画像データをあらかじめ読み込ませる
	game.preload("images/fighter.png", "images/beam.png");
	// データの読み込みが完了したら処理
	game.onload = function(){
		// ビームの設定
		var beam = new Sprite(4, 32);
		beam.image = game.assets["images/beam.png"];
		beam.y = -beam.height;	// 画面外に配置する
		beam.flag = false;	// ビームが発射されているかどうかのフラグ
		game.rootScene.addChild(beam);
		// 自機の設定
		var fighter = new Sprite(32, 32);
		fighter.image = game.assets["images/fighter.png"];
		fighter.x = 160;
		fighter.y = game.height - fighter.height;
		game.rootScene.addChild(fighter);
		// Zキーをaボタンとして割り当てる
		game.keybind(90, "a");
		// フレームイベントが発生したら処理
		game.rootScene.addEventListener(Event.ENTER_FRAME, function(){
			if (game.input.left && (fighter.x > 0)){ fighter.x = fighter.x - 4;	 }
			if (game.input.right && (fighter.x < game.width-fighter.width)){ fighter.x = fighter.x + 4; }
			if (game.input.up && (fighter.y > 80)){ fighter.y = fighter.y - 4;	 }
			if (game.input.down && (fighter.y < game.height-fighter.height)){ fighter.y = fighter.y + 4; }
			// ビームが発射されていれば移動させる
			if (beam.flag == true){
				beam.y = beam.y - 24;	// 一回で上に24ピクセル移動させる
				if (beam.y < -beam.height){	// 画面外にまで達したら
					beam.flag = false;	// ビームの発射を示しているフラグをfalseにする
				}
			}else{
				// Aボタンが押されたらビームを発射
				if (game.input.a){
					beam.flag = true;	// trueにしてビームが発射されている事を示す
					beam.x = fighter.x + 14;	// 自機の中央から出す
					beam.y = fighter.y;	// 自機と同じY座標から出す
				}
			}
		});
	}
	game.start();	// ゲーム処理開始
}
