enchant();	// ライブラリの初期化
window.onload = function(){
	// 240×320ピクセルサイズの画面(Canvas)を作成
	var game = new Game(240, 320);
	// フレームレートの設定。15fpsに設定
	game.fps = 30;
	// 画像データをあらかじめ読み込ませる
	game.preload("images/fighter.png", "images/map.png");
	// データの読み込みが完了したら処理
	game.onload = function(){
		// 地上のマップ（画像）を設定
		var map = new Sprite(240, 1600);
		map.image = game.assets["images/map.png"];
		map.y = -map.height + game.height;
		game.rootScene.addChild(map);
		// 自機の設定
		var fighter = new Sprite(32, 32);
		fighter.image = game.assets["images/fighter.png"];
		fighter.x = 160;
		fighter.y = game.height - fighter.height;
		game.rootScene.addChild(fighter);
		// フレームイベントが発生したら処理
		fighter.addEventListener(Event.ENTER_FRAME, function(){
			if (game.input.left && (fighter.x > 0)){ fighter.x = fighter.x - 4;	 }
			if (game.input.right && (fighter.x < game.width-fighter.width)){ fighter.x = fighter.x + 4; }
			if (game.input.up && (fighter.y > 80)){ fighter.y = fighter.y - 4;	 }
			if (game.input.down && (fighter.y < game.height-fighter.height)){ fighter.y = fighter.y + 4; }
		});
		// フレームイベントが発生したらマップをスクロール
		map.addEventListener(Event.ENTER_FRAME, function(){
			map.y = map.y + 1;	// 下に移動
			// マップがスクロールし終わったら再度上に戻す
			if (map.y > -1){ map.y = -map.height + game.height; }
		});
	}
	game.start();	// ゲーム処理開始
}
